/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Jan-01-2012 10:09:15pm
Filepath: scripts\events and scenarios\Thanksgiving 2011\TuftOfFeathers.cs
Lines of code: 38

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class TuftOfFeathers : WoodenKiteShield
	{
		public override int BasePhysicalResistance{ get{ return 15; } }
		public override int BaseFireResistance{ get{ return 0; } }
		public override int BaseColdResistance{ get{ return 0; } }
		public override int BasePoisonResistance{ get{ return 0; } }
		public override int BaseEnergyResistance{ get{ return 0; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public TuftOfFeathers()
		{
			Hue = 1190;
			Name = "Tuft of Feathers";
			Attributes.SpellChanneling = 1;
			Attributes.ReflectPhysical = 5;
			Attributes.DefendChance = 5;
			ArmorAttributes.LowerStatReq = 100;
		}

		public TuftOfFeathers( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}